Bug 863378 - F18QA test: im-setting has untranslated lines for most languages.
Summary: F18QA test: im-setting has untranslated lines for most languages.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: imsettings
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-05 09:55 UTC by Kiyoto Hashida
Modified: 2013-11-05 03:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-05 03:18:46 UTC


Attachments (Terms of Use)

Description Kiyoto Hashida 2012-10-05 09:55:49 UTC
Description of problem:
F18QA has untranslated lines for im-settings-**

Version-Release number of selected component (if applicable):
F18QA version/20120924-test_days-i386.iso


How reproducible:
For each entry of imsettings-check , imsettings-list , imsettings-switch , imsettings-info,various outputs will be displayed

Steps to Reproduce:
1.In the terminal, enter each of the above command one by one as root.
2.Observe the output after each entry.
3.
  
Actual results:
imsettings-switch = translated but one English line.
imsettings-check = No display.
msettings-reload = English.
imsettings-info = English.
imsettings-list = English.


Expected results:
They all should be translated into respective languages.


Additional info:
This problem is common within most languages we support.

Comment 1 Akira TAGOH 2012-11-02 02:14:24 UTC
(In reply to comment #0)
> imsettings-switch = translated but one English line.

I found some strings that should be supposed to be translated isn't. fixed.

> imsettings-check = No display.

This is expected behavior. it's not something user would run in daily basis. I'm planning to move it under /usr/libexec say.

> msettings-reload = English.

I'm not sure what strings you are expecting to be translated. all of messages should be translatable.

> imsettings-info = English.

Ditto.

> imsettings-list = English.

Ditto.

Comment 3 Noriko Mizumoto 2013-03-21 04:38:27 UTC
Sorry responding late.
I am not sure what kind of info is required from myself, but one question.
Where the translatable strings for the followings can be found?

> msettings-reload = English.

I'm not sure what strings you are expecting to be translated. all of messages should be translatable.

> imsettings-info = English.

Ditto.

> imsettings-list = English.

Ditto.

thanks.

Comment 4 Akira TAGOH 2013-03-21 05:27:27 UTC
translation is available here:
  https://translate.zanata.org/zanata/iteration/view/imsettings/master?cid=46211

Please double-check if there are any non-translatable strings for those commands. as I wrote in comment#1, I don't see what strings are non-translatable. in case there are any strings which isn't just translated, it should be l10n issue then.

Comment 5 Noriko Mizumoto 2013-03-21 05:57:22 UTC
Ok, Understood.
We will report more specific strings next round of F19 L10N QA test, which is approaching very soon.

Comment 6 Akira TAGOH 2013-09-20 08:04:47 UTC
any updates?

Comment 7 Noriko Mizumoto 2013-11-05 01:20:09 UTC
(In reply to Akira TAGOH from comment #6)
> any updates?

There was no similar report for both F19 and F20.

Comment 8 Akira TAGOH 2013-11-05 03:18:46 UTC
Let's close this then. thank you for confirmation.


Note You need to log in before you can comment on or make changes to this bug.